Subject: Protocol Action: 'YANG Module Tags' to Proposed Standard (draft-ietf-netmod-module-tags-10.txt)

From: The IESG <[email-masked]>
Date: Tue, 17 Mar 2020 12:23:46 -0700

The IESG has approved the following document:
- 'YANG Module Tags'
  (draft-ietf-netmod-module-tags-10.txt) as Proposed Standard

This document is the product of the Network Modeling Working Group.

The IESG contact persons are Warren Kumari, Ignas Bagdonas and Alissa Cooper.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-netmod-module-tags/

Technical Summary

This document provides for the association of tags with YANG modules. The expectation is for such tags to be used to help classify and organize modules. A method for defining, reading and writing modules’ tags is provided. Tags may be standardized and assigned during module definition, assigned by implementations, or dynamically defined and set by users. This document provides guidance to future model writers and, as such, this document updates RFC 8407.

Working Group Summary

The WG had significant questions on how module tags might be used. Section 1.1 of the document dwells on how and why module tags are applied, addressing significant points in this discussion from the vantage point of WG participants. Possible usage of the module tags was the most controversial part of the document progress, which eventually came to consensus. 

Document Quality

There is a substantial interest from the model user community to have module tags functionality available. The document has received significant reviews, including vigorous WG debate that resulted in significant changes to the document and multiple WG last calls. YANG doctors have reviewed the document. 

Personnel

Joel Jaeggli is the Document Shepherd for this document. Alissa Cooper is the Responsible Area Director.

IANA Note

The document defines two new IANA registries (YANG Module Tag Prefixes Registry and YANG Module Tags Registry), and adds entries to two existing IANA registries (IETF XML Registry and YANG Modules Names Registry).